<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: combust_model_RFPVA.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e58901c8ee9d69c5bc9ee3298e74c570.html">thermofluid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">combust_model_RFPVA.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecombust__rfpva"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html">combust_rfpva</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a67a71079b2b57a1748aa98e9203d6714"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a67a71079b2b57a1748aa98e9203d6714">combust_rfpva::combust_rfpva_register_data</a> (vdf, skip_T_scalar)</td></tr>
<tr class="memdesc:a67a71079b2b57a1748aa98e9203d6714"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic routines  <a href="namespacecombust__rfpva.html#a67a71079b2b57a1748aa98e9203d6714">More...</a><br /></td></tr>
<tr class="separator:a67a71079b2b57a1748aa98e9203d6714"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54f8475e2d756be2558e0c82b61dbab"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#ae54f8475e2d756be2558e0c82b61dbab">combust_rfpva::combust_rfpva_init_lowmach</a> (vdf)</td></tr>
<tr class="memdesc:ae54f8475e2d756be2558e0c82b61dbab"><td class="mdescLeft">&#160;</td><td class="mdescRight">initialization specific to lowMach solver (generic call first)!  called by combust_model_register_data_lowMach !  <a href="namespacecombust__rfpva.html#ae54f8475e2d756be2558e0c82b61dbab">More...</a><br /></td></tr>
<tr class="separator:ae54f8475e2d756be2558e0c82b61dbab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93e6d5334978926ff26885e24d73a7d6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a93e6d5334978926ff26885e24d73a7d6">combust_rfpva::combust_rfpva_init</a> (vdf)</td></tr>
<tr class="memdesc:a93e6d5334978926ff26885e24d73a7d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic initialization of combustion module (all solvers) !  cf. combust_RFPVA_init_lowMach for specific procedures !  <a href="namespacecombust__rfpva.html#a93e6d5334978926ff26885e24d73a7d6">More...</a><br /></td></tr>
<tr class="separator:a93e6d5334978926ff26885e24d73a7d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e26cda14160d921e0fb516b6bfef546"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a4e26cda14160d921e0fb516b6bfef546">combust_rfpva::combust_rfpva_source_scalar_mid</a> (vdf)</td></tr>
<tr class="separator:a4e26cda14160d921e0fb516b6bfef546"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e7865277deb4681845d6a2e2343da68"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a1e7865277deb4681845d6a2e2343da68">combust_rfpva::combust_rfpva_prestep1</a> (vdf)</td></tr>
<tr class="memdesc:a1e7865277deb4681845d6a2e2343da68"><td class="mdescLeft">&#160;</td><td class="mdescRight">prestep of RFPVA combustion model (all solvers) !  cf. combust_RFPVA_init_lowMach for specific procedures !  <a href="namespacecombust__rfpva.html#a1e7865277deb4681845d6a2e2343da68">More...</a><br /></td></tr>
<tr class="separator:a1e7865277deb4681845d6a2e2343da68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a258d6b6f54ceb17b4c7430ac5cb6aeb7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a258d6b6f54ceb17b4c7430ac5cb6aeb7">combust_rfpva::combust_rfpva_step</a> (vdf)</td></tr>
<tr class="memdesc:a258d6b6f54ceb17b4c7430ac5cb6aeb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">step of RFPVA combustion model (all solvers) !  cf. combust_RFPVA_init_lowMach for specific procedures !  <a href="namespacecombust__rfpva.html#a258d6b6f54ceb17b4c7430ac5cb6aeb7">More...</a><br /></td></tr>
<tr class="separator:a258d6b6f54ceb17b4c7430ac5cb6aeb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a63f155d61f2fe4013f3b73cceae1f3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a9a63f155d61f2fe4013f3b73cceae1f3">combust_rfpva::combust_rfpva_poststep</a> (vdf)</td></tr>
<tr class="memdesc:a9a63f155d61f2fe4013f3b73cceae1f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">step of RFPVA combustion model (all solvers) !  cf. combust_RFPVA_init_lowMach for specific procedures !  <a href="namespacecombust__rfpva.html#a9a63f155d61f2fe4013f3b73cceae1f3">More...</a><br /></td></tr>
<tr class="separator:a9a63f155d61f2fe4013f3b73cceae1f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40d0fa4548b3c331ac01065adbfe6e7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#aa40d0fa4548b3c331ac01065adbfe6e7">combust_rfpva::combust_rfpva_update_visc</a> (vdf)</td></tr>
<tr class="memdesc:aa40d0fa4548b3c331ac01065adbfe6e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">determine visc in all cells for combustion model RFPVA  called by combust_update_visc !  <a href="namespacecombust__rfpva.html#aa40d0fa4548b3c331ac01065adbfe6e7">More...</a><br /></td></tr>
<tr class="separator:aa40d0fa4548b3c331ac01065adbfe6e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4424c3a4e419af5157b0c9afa043ef64"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a4424c3a4e419af5157b0c9afa043ef64">combust_rfpva::combust_rfpva_update_diff</a> (vdf, DIFF_tmp, setDiffEqualAllScalars)</td></tr>
<tr class="memdesc:a4424c3a4e419af5157b0c9afa043ef64"><td class="mdescLeft">&#160;</td><td class="mdescRight">determine diff in all cells for combustion model RFPVA  called by combust_update_diff !  <a href="namespacecombust__rfpva.html#a4424c3a4e419af5157b0c9afa043ef64">More...</a><br /></td></tr>
<tr class="separator:a4424c3a4e419af5157b0c9afa043ef64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acefc9bbb618484f9425d8855b6148155"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#acefc9bbb618484f9425d8855b6148155">combust_rfpva::combust_rfpva_update_cp_wmix</a> (vdf)</td></tr>
<tr class="memdesc:acefc9bbb618484f9425d8855b6148155"><td class="mdescLeft">&#160;</td><td class="mdescRight">determine cp and wmix in all cells for combustion model RFPVA  called by combust_update_cp_wmix !  <a href="namespacecombust__rfpva.html#acefc9bbb618484f9425d8855b6148155">More...</a><br /></td></tr>
<tr class="separator:acefc9bbb618484f9425d8855b6148155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4032ff5a037cd77d13dc636d13afe011"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__rfpva.html#a4032ff5a037cd77d13dc636d13afe011">combust_rfpva::combust_rfpva_update_wmix</a> (vdf)</td></tr>
<tr class="memdesc:a4032ff5a037cd77d13dc636d13afe011"><td class="mdescLeft">&#160;</td><td class="mdescRight">determine wmix in all cells for combustion model RFPVA  called by combust_update_wmix !  <a href="namespacecombust__rfpva.html#a4032ff5a037cd77d13dc636d13afe011">More...</a><br /></td></tr>
<tr class="separator:a4032ff5a037cd77d13dc636d13afe011"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
